ec2: systemctl restart cloud-init after upgrade 17.1.46 -> 17.2.30

Bug #1748354 reported by Chad Smith on 2018-02-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned
cloud-init (Ubuntu)
High
Chad Smith

Bug Description

During proposed SRU testing, I discovered an upgrade issue for EC2 customers who don't reboot their instances after cloud-init upgrade and instead issue the commandline 'systemctl restart cloud-init'.

The following traceback is caused by the new instance document changes added in rev https://git.launchpad.net/cloud-init/commit/?id=703241a3.

What this changeset didn't account for is our pickled ec2localdatasource from earlier get_data runs, not persisting an Ec2LocalDatasouce.identity attribute so subsequent get_instance_id calls wouldn't see this attribute on the class yet.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: cloud-init 17.2-30-gf7deaf15-0ubuntu1~16.04.1
ProcVersionSignature: Ubuntu 4.4.0-1050.59-aws 4.4.98
Uname: Linux 4.4.0-1050-aws x86_64
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
CloudName: Amazon - Ec2
Date: Thu Feb 8 23:42:52 2018
Ec2AMI: ami-c9a693ac
Ec2AMIManifest: (unknown)
Ec2AvailabilityZone: us-east-2b
Ec2InstanceType: t2.micro
Ec2Kernel: unavailable
Ec2Ramdisk: unavailable
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: cloud-init
UpgradeStatus: No upgrade log present (probably fresh install)
cloud-init-log-warnings:
 2018-02-08 23:35:05,664 - DataSourceEc2.py[DEBUG]: strict_mode: warn, cloud_platform=AWS
 2018-02-08 23:39:12,559 - util.py[WARNING]: failed stage init
 AttributeError: 'DataSourceEc2Local' object has no attribute 'identity'
 2018-02-08 23:42:09,995 - util.py[WARNING]: failed stage init
 AttributeError: 'DataSourceEc2Local' object has no attribute 'identity'
user_data.txt:

Related branches

Chad Smith (chad.smith) wrote :
Changed in cloud-init (Ubuntu):
status: Triaged → In Progress
Scott Moser (smoser) on 2018-02-09
Changed in cloud-init:
status: New → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 17.2-34-g644048e3-0ubuntu1

---------------
cloud-init (17.2-34-g644048e3-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - EC2: Fix get_instance_id called against cached datasource pickle.
      [Chad Smith] (LP: #1748354)
    - cli: fix cloud-init status to report running when before result.json
      [Chad Smith] (LP: #1747965)
    - net: accept network-config in netplan format for renaming interfaces
      [Ryan Harper] (LP: #1709715)
    - Fix ssh keys validation in ssh_util [Tatiana Kholkina]

 -- Scott Moser <email address hidden> Fri, 09 Feb 2018 17:04:03 -0500

Changed in cloud-init (Ubuntu):
status: In Progress → Fix Released

This bug is believed to be fixed in cloud-init in 18.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in cloud-init:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers